pcl::GradientXY Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, and the intensity value. More...

`#include <pcl/recognition/color_gradient_dot_modality.h>`

## Public Member Functions

EIGEN_MAKE_ALIGNED_OPERATOR_NEW bool | operator< (const GradientXY &rhs)
EIGEN_MAKE_ALIGNED_OPERATOR_NEW bool | operator< (const GradientXY &rhs)

## Public Attributes

union {
struct {
float x
float y
float angle
float magnitude
} |
float data [4]
}; |
union {
struct {
float x
float y
float angle
float magnitude
} |
float data [4]
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates, and the intensity value.

A point structure for representing RGB color.

A point structure representing Euclidean xyz coordinates, and the intensity value.

Definition at line 87 of file color_gradient_dot_modality.h.

## Member Function Documentation

EIGEN_MAKE_ALIGNED_OPERATOR_NEW bool pcl::GradientXY::operator< | ( | const GradientXY & | rhs | ) |

inline

Definition at line 99 of file point_types.h.

References magnitude, pcl::operator<<(), x, and y.

EIGEN_MAKE_ALIGNED_OPERATOR_NEW bool pcl::GradientXY::operator< | ( | const GradientXY & | rhs | ) |

inline

Definition at line 102 of file color_gradient_dot_modality.h.

References magnitude.

## Member Data Documentation

union { ... }

union { ... }

float pcl::GradientXY::angle

Definition at line 95 of file color_gradient_dot_modality.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointInT >::computeMaxColorGradients(), and pcl::ColorGradientModality< PointInT >::computeMaxColorGradientsSobel().

float pcl::GradientXY::data[4]

Definition at line 98 of file color_gradient_dot_modality.h.

float pcl::GradientXY::magnitude

Definition at line 96 of file color_gradient_dot_modality.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointInT >::computeMaxColorGradientsSobel(), pcl::ColorGradientModality< PointInT >::extractAllFeatures(), pcl::ColorGradientModality< PointInT >::extractFeatures(), pcl::ColorGradientModality< PointInT >::Candidate::operator<(), operator<(), pcl::ColorGradientDOTModality< PointInT >::Candidate::operator<(), and pcl::operator<<().

float pcl::GradientXY::x

Definition at line 93 of file color_gradient_dot_modality.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointInT >::computeMaxColorGradientsSobel(), operator<(), and pcl::operator<<().

float pcl::GradientXY::y

Definition at line 94 of file color_gradient_dot_modality.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointInT >::computeMaxColorGradientsSobel(), operator<(), and pcl::operator<<().

The documentation for this struct was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/recognition/include/pcl/recognition/color_gradient_dot_modality.h
- /build/pcl-6_P28C/pcl-1.7.2/recognition/include/pcl/recognition/point_types.h